Skip to main content
GET
/
v1
/
rbac
/
{actor_id}
/
endpoints
Get all endpoints
curl --request GET \
  --url https://api.example.com/v1/rbac/{actor_id}/endpoints \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/v1/rbac/{actor_id}/endpoints"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/v1/rbac/{actor_id}/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "endpoint": "<string>"
  }
]
{
"code": "common.unauthorized",
"message": "Authentication required"
}
{
"code": "rbac.insufficient_permissions",
"message": "Insufficient permissions to perform this action"
}
{
"code": "rbac.actor_not_found",
"message": "Actor not found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
enum<string>
default:en
Available options:
en,
de,
fr,
it

Path Parameters

actor_id
string<uuid>
required

Response

List of available endpoints

id
string<uuid>
type
enum<string>
Available options:
user,
role
endpoint
string